import { ApiBase } from './ApiBase';
import { CalculatedColumnApi } from '../CalculatedColumnApi';
import { CalculatedColumn, CalculatedColumnState } from '../../AdaptableState/CalculatedColumnState';
import { IAdaptable } from '../../AdaptableInterfaces/IAdaptable';
import { CalculatedColumnInternalApi } from '../Internal/CalculatedColumnInternalApi';
export declare class CalculatedColumnApiImpl extends ApiBase implements CalculatedColumnApi {
    internalApi: CalculatedColumnInternalApi;
    constructor(_adaptable: IAdaptable);
    getCalculatedColumnState(): CalculatedColumnState;
    getCalculatedColumns(): CalculatedColumn[];
    getAggregatedCalculatedColumns(): CalculatedColumn[];
    getCalculatedColumnById(id: CalculatedColumn['Uuid']): CalculatedColumn;
    addCalculatedColumn(calculatedColumn: CalculatedColumn): CalculatedColumn;
    getCalculatedColumnForColumnId(columnId: string): CalculatedColumn | undefined;
    editCalculatedColumn(calculatedColumn: CalculatedColumn): CalculatedColumn;
    deleteCalculatedColumn(column: string): void;
    openCalculatedColumnSettingsPanel(): void;
    refreshAggregatedCalculatedColumns(): void;
    refreshAggregatedCalculatedColumn(columnId: string): void;
}
